package org.apache.blur.thrift.util;

/**
 * Licensed to the Apache Software Foundation (ASF) under one or more
 * contributor license agreements.  See the NOTICE file distributed with
 * this work for additional information regarding copyright ownership.
 * The ASF licenses this file to You under the Apache License, Version 2.0
 * (the "License"); you may not use this file except in compliance with
 * the License.  You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
import java.io.IOException;

import org.apache.blur.thirdparty.thrift_0_9_0.TException;
import org.apache.blur.thrift.BlurClient;
import org.apache.blur.thrift.generated.Blur.Iface;
import org.apache.blur.thrift.generated.BlurException;
import org.apache.blur.thrift.generated.ColumnDefinition;
import org.apache.blur.thrift.generated.TableDescriptor;


public class CreateTable {

  public static void main(String[] args) throws BlurException, TException, IOException {
    String connectionStr = args[0];
    final String cluster = args[1];
    final String tableName = args[2];
    int shardCount = Integer.parseInt(args[3]);
    String uri = args[4];

    final TableDescriptor tableDescriptor = new TableDescriptor();
    tableDescriptor.cluster = cluster;
    tableDescriptor.name = tableName;
    tableDescriptor.readOnly = false;

    tableDescriptor.shardCount = shardCount;
    tableDescriptor.tableUri = uri;

    Iface client = BlurClient.getClient(connectionStr);
    client.createTable(tableDescriptor);
    ColumnDefinition columnDefinition = new ColumnDefinition();
    columnDefinition.setColumnName("col1");
    columnDefinition.setFamily("fam1");
    columnDefinition.setFieldLessIndexed(false);
    columnDefinition.setSortable(true);
    columnDefinition.setFieldType("string");
    client.addColumnDefinition(tableName, columnDefinition);
  }
}
